FlowDrop Docs

List workflow pipelines

Get all pipeline executions for a specific workflow

GET
/workflow/{workflow_id}/pipelines

Authorization

AuthorizationBearer <token>

JWT token for authentication

In: header

Path Parameters

workflow_id*string

Workflow ID or machine name

Query Parameters

status?string

Filter by pipeline status

Value in

  • "pending"
  • "running"
  • "completed"
  • "failed"
  • "cancelled"

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/workflow/string/pipelines"
{  "success": true,  "message": "string",  "error": "string",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "workflow_id": "string",      "status": "string",      "created": "2019-08-24T14:15:22Z",      "updated": "2019-08-24T14:15:22Z"    }  ]}